package com.hp.teach.mapper;

import com.hp.teach.domain.School;
import java.util.List;
import tk.mybatis.spring.annotation.MapperScan;
import com.hp.common.base.BaseMapper;

/**
 * 校区 数据层
 * 集成BaseMapper 长用的方式可以共用
 * @author hp
 * @date 2019-02-12
 */
@MapperScan
public interface SchoolMapper  extends BaseMapper<School>
{
	/**
     * 查询校区信息
     * 
     * @param schoolId 校区ID
     * @return 校区信息
     */
	public School selectSchoolById(Integer schoolId);
	
	/**
     * 查询校区列表
     * 
     * @param school 校区信息
     * @return 校区集合
     */
	public List<School> selectSchoolList(School school);

	/**
     * 新增校区
     * 
     * @param school 校区信息
     * @return 结果
     */
	public int insertSchool(School school);
	
	/**
     * 修改校区
     * 
     * @param school 校区信息
     * @return 结果
     */
	public int updateSchool(School school);
	
	/**
     * 删除校区
     * 
     * @param schoolId 校区ID
     * @return 结果
     */
	public int deleteSchoolById(Integer schoolId);
	
	/**
     * 批量删除校区
     * 
     * @param schoolIds 需要删除的数据ID
     * @return 结果
     */
	public int deleteSchoolByIds(String[] schoolIds);
	
}